package com.chelvc.cloud.vehicle.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.chelvc.cloud.vehicle.client.dto.FeedBackDTO;
import com.chelvc.cloud.vehicle.client.param.FeedBackModifyParam;
import com.chelvc.cloud.vehicle.client.param.FeedBackPagingParam;
import com.chelvc.cloud.vehicle.server.entity.FeedBack;
import com.chelvc.framework.common.model.Pagination;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * 意见反馈操作接口
 *
 * @author liude
 * @date 2024/1/12
 */
public interface FeedbackService extends IService<FeedBack> {

    /**
     * 新增意见反馈
     *
     * @param param 新增参数
     * @return 主键
     */
    Long addFeedback(@RequestBody FeedBackModifyParam param);

    /**
     * 修改意见反馈
     *
     * @param id    主键
     * @param param 修改参数
     */
    void updateFeedback(Long id, FeedBackModifyParam param);

    /**
     * 获取意见反馈信息
     * @return
     */
    List<FeedBackDTO> getFeedback(String channel);

    /**
     * 意见反馈分页查询
     * @param param
     * @return
     */
    Pagination<FeedBackDTO> getFeedbackPaging(FeedBackPagingParam param);

    /**
     * 更新意见反馈状态
     * @param id
     * @param status
     */
    void updateStatus(Long id,String status);
}
